import React from 'react';
import RouterEvent from '@/components/RouterEvent';

const Layout = ({ children }) => {
  return (
    <RouterEvent onEnter={() => console.log('------onEnter--------')} onLeave={() => console.log('------onLeave--------')}>
      <>{children}</>
    </RouterEvent>
  );
};

export default Layout;
